---
title: "createCloudCacheConfigGroup"
slug: "database-vcache-createcloudcacheconfiggroup"
tags: ["Cloud DB for Redis"]
updated: 2026-09-17T10:05:51Z
published: 2026-09-17T10:05:51Z
canonical: "api.ncloud-docs.com/database-vcache-createcloudcacheconfiggroup"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt
> Use this file to discover all available pages before exploring further.
# createCloudCacheConfigGroup
Available in VPC
Create a Cloud DB for Cache config group. With config groups, you can efficiently manage created Redis servers by grouping them and specifying the same settings for the servers in the group.
Note
Cloud DB for Cache API offers two versions based on the supported DBMS range.
- createCloudCacheConfigGroup API: Support for Valkey and Redis DBMS
- createCloudRedisConfigGroup API: Support for Redis DBMS
## createCloudCacheConfigGroup API
This section describes the request and response formats for the createCloudCacheConfigGroup API.
### Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
| --- | --- |
| GET \| POST | /vcache/v2/createCloudCacheConfigGroup |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
### Request headers
For information about the headers common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94).
#### Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `regionCode` | String | Optional | Region code of the Cloud DB for Cache instance on which to create config groups - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). |
| `cloudCacheVersion` | String | Required | Version of the config group to create and configuration information for Cloud DB for Cache - `Valkey`: `7.2.11-cluster`\|`7.2.11-simple`\|`8.1.6-cluster`\|`8.1.6-simple` - `redis` :`4.0.14-cluster` \| `4.0.14-simple` \| `5.0.14-cluster` \| `5.0.14-simple` \| `7.0.13-cluster` \| `7.0.13-simple` \| `7.0.15-cluster` \| `7.0.15-simple` \| `7.2.6-cluster` \| `7.2.6-simple` \| `7.2.8-cluster` \| `7.2.8-simple` \| `7.2.11-cluster` \| `7.2.11-simple` - The configuration information in the config group and the type (Cluster/Simple) of the DB server must match to create a Cache cluster. |
| `configGroupName` | String | Required | Config group service name to create - 3 to 15 characters, including lowercase English letters, numbers, and special character "-". - The string must begin with an English letter and end with an English letter or number. |
| `configGroupDescription` | String | Optional | Description for the config group to create - 0-255 characters |
| `cloudCacheDbmsCode` | String | Optional | Cloud DB for Cache instance's DBMS code - `Redis` (default) \| `Valkey` |
| `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` |
#### Request example
The request example is as follows:
```
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/createCloudCacheConfigGroup
?regionCode=KR
&cloudCacheVersion=7.0.15-cluster
&configGroupName=test-***-config
&configGroupDescription=description
&cloudCacheDbmsCode=Redis' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
```
### Response
This section describes the response format.
#### Response body
See [CloudCacheConfigGroupList](/docs/en/common-vapidatatype-cloudcacheconfiggrouplist) for the response body.
#### Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C).
#### Response example
The response example is as follows:
- If `responseFormatType=json`
```
{
"createCloudCacheConfigGroupResponse": {
"totalRows": 1,
"cloudCacheConfigGroupList": [
{
"configGroupNo": "***9",
"configGroupName": "test-***-config",
"configGroupDescription": "decription",
"configGroupStatusName": "settingUp",
"configGroupStatus": {
"code": "SETUP",
"codeName": "CONFIG GROUP Setup State"
},
"cloudCacheVersion": "7.0.15-cluster",
"cloudCacheDbmsCode": "Redis",
"createDate": "2024-07-01T16:36:38+0900",
"modifyDate": "2024-07-01T16:36:38+0900"
}
],
"requestId": "1af809fc-****-****-****-3ca2a105b758",
"returnCode": "0",
"returnMessage": "success"
}
}
```
- If `responseFormatType=xml` (default)
```
1af809fc-****-****-****-3ca2a105b758
0
success
1
***9
test-***-config
decription
settingUp
SETUP
CONFIG GROUP Setup State
7.0.15-cluster
Redis
2024-07-01T16:36:38+0900
2024-07-01T16:36:38+0900
```
## createCloudRedisConfigGroup API
This section describes the request and response formats for the createCloudRedisConfigGroup API.
### Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
| --- | --- |
| GET \| POST | /vredis/v2/createCloudRedisConfigGroup |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
### Request headers
For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94).
#### Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `regionCode` | String | Optional | Region code of the Cloud DB for Cache instance on which to create config groups - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). |
| `cloudRedisVersion` | String | Required | Version of the config group to create and configuration information for Cloud DB for Cache - `redis` :`4.0.14-cluster` \| `4.0.14-simple` \| `5.0.14-cluster` \| `5.0.14-simple` \| `7.0.13-cluster` \| `7.0.13-simple` \| `7.0.15-cluster` \| `7.0.15-simple` \| `7.2.6-cluster` \| `7.2.6-simple` \| `7.2.8-cluster` \| `7.2.8-simple` \| `7.2.11-cluster` \| `7.2.11-simple` - The configuration information in the config group and the type (Cluster/Simple) of the Redis server must match to create a Redis cluster. |
| `configGroupName` | String | Required | Config group service name to create - 3 to 15 characters, including lowercase English letters, numbers, and special character "-". - The string must begin with an English letter and end with an English letter or number. |
| `configGroupDescription` | String | Optional | Description for the config group to create - 0-255 characters |
| `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` |
#### Request example
The request example is as follows:
```
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/createCloudRedisConfigGroup
?regionCode=KR
&cloudRedisVersion=7.0.15-cluster
&configGroupName=test-***-config
&configGroupDescription=decription' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
```
### Response
This section describes the response format.
#### Response body
See [ConfigGroupList](/docs/en/common-vapidatatype-cloudredisconfiggrouplist) for the response body.
#### Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C).
#### Response example
The response example is as follows:
- If `responseFormatType=json`
```
{
"createCloudRedisConfigGroupResponse": {
"totalRows": 1,
"cloudRedisConfigGroupList": [
{
"configGroupNo": "***9",
"configGroupName": "test-***-config",
"configGroupDescription": "decription",
"configGroupStatusName": "settingUp",
"configGroupStatus": {
"code": "SETUP",
"codeName": "CONFIG GROUP Setup State"
},
"cloudRedisVersion": "7.0.15-cluster",
"createDate": "2024-07-01T16:36:38+0900",
"modifyDate": "2024-07-01T16:36:38+0900"
}
],
"requestId": "1af809fc-****-****-****-3ca2a105b758",
"returnCode": "0",
"returnMessage": "success"
}
}
```
- If `responseFormatType=xml` (default)
```
1af809fc-****-****-****-3ca2a105b758
0
success
1
***9
test-***-config
decription
settingUp
SETUP
CONFIG GROUP Setup State
7.0.15-cluster
2024-07-01T16:36:38+0900
2024-07-01T16:36:38+0900
```